<?php
/**
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Xiroweb\Module\XirowebArticlesTrending\Site\Helper\XirowebArticlesTrendingHelper;
use Joomla\CMS\Uri\Uri;


defined('_JEXEC') or die;

extract($displayData);

$wa = Factory::getApplication()->getDocument()->getWebAssetManager();

$wa->getRegistry()->addRegistryFile('media/mod_xiroweb_articles_trending/joomla.asset.json');
$wa->useScript('mod_xiroweb_articles_trending.showvalueclass');
$wa->useScript('showon');


?>
<?php if ($fieldpreview == 'full') : ?>
    <div class="card shadow-preview">
        <div class="row g-1 align-items-center">
        <?php 
            $positionimage           = ' data-showvalueclass=\'' .
            json_encode(XirowebArticlesTrendingHelper::parseShowValueclassConditions('position_image:order-', 'jform', 'params')) . '\'';
        ?>
        <?php 
            $rel           = ' data-showon=\'' .
            json_encode(FormHelper::parseShowOnConditions('show_image:1', 'jform', 'params')) . '\'';
        ?>
        <div class="col-4" <?php echo $rel; ?> <?php echo $positionimage; ?>>
            <div class="position-relative">
                <img class="w-100" src="<?php echo Uri::root(); ?>/media/mod_xiroweb_articles_trending/images/image.png" alt="">
                <div class="position-absolute top-0 start-0 bottom-0 end-0 d-flex align-items-center justify-content-center text-center"  >
                        <?php 
                            $rel           = ' data-showon=\'' .
                            json_encode(FormHelper::parseShowOnConditions('link_intro_image:1[AND]show_image:1', 'jform', 'params')) . '\'';
                        ?>
                        <div class ="m-1" <?php echo $rel; ?>>
                            <i  class="fas fa-link"></i>
                        </div>
                        <div>
                            <?php echo Text::_('MOD_XIROWEB_ARTICLES_TRENDING_FIELD_PREVIEW_IMAGE'); ?>
                        </div>
            
                </div>
            </div>
        </div>
        <div class="col">
            <div class="card-body">
                <h4>
                        <?php 
                            $rel           = ' data-showon=\'' .
                            json_encode(FormHelper::parseShowOnConditions('link_titles:1', 'jform', 'params')) . '\'';
                        ?>
                        <span <?php echo $rel; ?>>
                                    <i  class="fas fa-link"></i>
                        </span>
                        <?php echo Text::_('MOD_XIROWEB_ARTICLES_TRENDING_FIELD_PREVIEW_TITLE'); ?>
                </h4>
                <div>
                <?php 
                    $rel           = ' data-showon=\'' .
                    json_encode(FormHelper::parseShowOnConditions('show_date:1', 'jform', 'params')) . '\'';
                ?>
                <span class="badge bg-light text-dark border m-1 ms-0 fw-light fs-small-1" <?php echo $rel; ?>>
                    <i class="far fa-calendar-alt"></i>
                    <?php echo Text::_('MOD_XIROWEB_ARTICLES_TRENDING_FIELD_PREVIEW_DATE'); ?>
                </span>
                <?php 
                    $rel           = ' data-showon=\'' .
                    json_encode(FormHelper::parseShowOnConditions('show_category:1', 'jform', 'params')) . '\'';
                ?>
                <span class="badge bg-light text-dark border m-1 ms-0 fw-light fs-small-1" <?php echo $rel; ?>>
                    <i  class="fas fa-folder"></i>
                    <?php echo Text::_('JCATEGORY'); ?>
                </span>
                <?php 
                    $rel           = ' data-showon=\'' .
                    json_encode(FormHelper::parseShowOnConditions('show_hits:1', 'jform', 'params')) . '\'';
                ?>
                <span class="badge bg-light text-dark border m-1 ms-0 fw-light fs-small-1" <?php echo $rel; ?>>
                    <i class="fas fa-chart-line"></i>
                    <?php echo Text::_('MOD_XIROWEB_ARTICLES_TRENDING_FIELD_PREVIEW_HIT'); ?>
                </span>
                <?php 
                    $rel           = ' data-showon=\'' .
                    json_encode(FormHelper::parseShowOnConditions('show_author:1', 'jform', 'params')) . '\'';
                ?>
                <span class="badge bg-light text-dark border m-1 ms-0 fw-light fs-small-1" <?php echo $rel; ?>>
                    <i  class="far fa-user"></i>
                    <?php echo Text::_('MOD_XIROWEB_ARTICLES_TRENDING_FIELD_PREVIEW_AUTHOR'); ?>
                </span>
                <?php 
                    $rel           = ' data-showon=\'' .
                    json_encode(FormHelper::parseShowOnConditions('show_tags:1', 'jform', 'params')) . '\'';
                ?>
                <span class="badge bg-light text-dark border m-1 ms-0 fw-light fs-small-1" <?php echo $rel; ?>>
                    <i  class="fas fa-tags"></i>
                    <?php echo Text::_('MOD_XIROWEB_ARTICLES_TRENDING_FIELD_PREVIEW_TAGS'); ?>
                </span>
                </div>
                
                <?php 
                    $rel           = ' data-showon=\'' .
                    json_encode(FormHelper::parseShowOnConditions('show_introtext:1', 'jform', 'params')) . '\'';
                ?>
                <p class="" <?php echo $rel; ?>>
                    <?php echo Text::_('MOD_XIROWEB_ARTICLES_TRENDING_FIELD_PREVIEW_INTROTEXT'); ?>
                    <span>...</span>
                </p>
                <?php 
                    $rel           = ' data-showon=\'' .
                    json_encode(FormHelper::parseShowOnConditions('show_readmore:1', 'jform', 'params')) . '\'';
                    ?>
                <div <?php echo $rel; ?>>
                    <a class="btn btn-info" role="button" aria-disabled="true"><?php echo Text::_('MOD_XIROWEB_ARTICLES_TRENDING_FIELD_PREVIEW_READMORE'); ?></a>
                </div>

                
            </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if ($fieldpreview == 'mobileimagewidth') : ?>
    <?php 
        $sethtmlclass           = ' data-showvalueclass=\'' .
        json_encode(XirowebArticlesTrendingHelper::parseShowValueclassConditions('image_width_mobile:col-', 'jform', 'params')) . '\'';
    ?>

    <div class="row g-1">
        <div class="col-4" <?php echo $sethtmlclass; ?>>
            <div class="position-relative">
                <img class="w-100" src="<?php echo Uri::root(); ?>/media/mod_xiroweb_articles_trending/images/image.png" alt="">
                <div class="position-absolute top-0 start-0 bottom-0 end-0 d-flex align-items-center justify-content-center text-center"  >
                        
                        <div class ="m-1" >
                        <i class="fas fa-image"></i>
                        </div>
                        <div>
                            <?php echo Text::_('MOD_XIROWEB_ARTICLES_TRENDING_FIELD_PREVIEW_IMAGE'); ?>
                        </div>
            
                </div>
            </div>
        </div>
        <div class="col">
            <p class="card-text placeholder-glow">
            <span class="placeholder col-7"></span>
            <span class="placeholder col-4"></span>
            <span class="placeholder col-4"></span>
            <span class="placeholder col-6"></span>
            <span class="placeholder col-8"></span>
            </p>
        </div>
    </div>
<?php endif; ?>

<?php if ($fieldpreview == 'tabletimagewidth') : ?>
    <?php 
        $sethtmlclass           = ' data-showvalueclass=\'' .
        json_encode(XirowebArticlesTrendingHelper::parseShowValueclassConditions('image_width_tablet:col-', 'jform', 'params')) . '\'';
    ?>

    <div class="row g-1">
        <div class="col-4" <?php echo $sethtmlclass; ?>>
            <div class="position-relative">
                <img class="w-100" src="<?php echo Uri::root(); ?>/media/mod_xiroweb_articles_trending/images/image.png" alt="">
                <div class="position-absolute top-0 start-0 bottom-0 end-0 d-flex align-items-center justify-content-center text-center"  >
                        
                        <div class ="m-1" >
                        <i class="fas fa-image"></i>
                        </div>
                        <div>
                            <?php echo Text::_('MOD_XIROWEB_ARTICLES_TRENDING_FIELD_PREVIEW_IMAGE'); ?>
                        </div>
            
                </div>
            </div>
        </div>
        <div class="col">
            <p class="card-text placeholder-glow">
            <span class="placeholder col-7"></span>
            <span class="placeholder col-4"></span>
            <span class="placeholder col-4"></span>
            <span class="placeholder col-6"></span>
            <span class="placeholder col-8"></span>
            </p>
        </div>
    </div>
<?php endif; ?>
<?php if ($fieldpreview == 'desktopimagewidth') : ?>
    <?php 
        $sethtmlclass           = ' data-showvalueclass=\'' .
        json_encode(XirowebArticlesTrendingHelper::parseShowValueclassConditions('image_width_desktop:col-', 'jform', 'params')) . '\'';
    ?>

    <div class="row g-1">
        <div class="col-4" <?php echo $sethtmlclass; ?>>
            <div class="position-relative">
                <img class="w-100" src="<?php echo Uri::root(); ?>/media/mod_xiroweb_articles_trending/images/image.png" alt="">
                <div class="position-absolute top-0 start-0 bottom-0 end-0 d-flex align-items-center justify-content-center text-center"  >
                        
                        <div class ="m-1" >
                        <i class="fas fa-image"></i>
                        </div>
                        <div>
                            <?php echo Text::_('MOD_XIROWEB_ARTICLES_TRENDING_FIELD_PREVIEW_IMAGE'); ?>
                        </div>
            
                </div>
            </div>
        </div>
        <div class="col">
            <p class="card-text placeholder-glow">
            <span class="placeholder col-7"></span>
            <span class="placeholder col-4"></span>
            <span class="placeholder col-4"></span>
            <span class="placeholder col-6"></span>
            <span class="placeholder col-8"></span>
            </p>
        </div>
    </div>
<?php endif; ?>